<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>2. lekce</title>

    <script>
        /*  2. lekce
            opakovani definice promennych, podminky
        */

        let withDiscount = true
        let discount = 20

        /*
            jednoducha podminka, rozepsana
        */
        if (withDiscount === true) {
            console.log("mate slevu!")
        }

        /*
            jednoducha podminka, kratky zapis
        */
        if (withDiscount) {
            console.log("mate slevu!")
        }

        /* operatory
            - rovnost, == nebo === ("0" jako text string nebo 0 jako number, cislo)
            - neni rovno, != nebo !==
            - je ostre vetsi, >
            - je ostre mensi, <
            - je vetsi nebo rovno, >=
            - je mensi nebo rovno, <=
        */
        if (discount === 0) {
            console.log("zadna sleva")
        }

        if (discount == 0) {
            console.log("zadna sleva 2 (==)")
        }

        withDiscount = false

        if (withDiscount !== true) {
            console.log("nemate zadnou slevu, bohuzel")
        }

        if (discount === 20) {
            console.log("ma sleva je", discount)
        }

        discount = 10

        if (discount < 20) {
            console.log("Toto zbozi nelze slevit. Vase sleva je", discount, "%")
        }

        /*
            Priklad podminky - Je cas obeda?
        */
        let now = new Date()
        if (now.getHours() > 12 && now.getHours() < 13) {
            console.log("Cas obeda!")
        } else {
            console.log("Neni cas obeda :(")
        }

        /* && - a zaroven */
        if (now.getHours() === 17 && now.getMinutes() === 20) {
            console.log("Zacina krouzek Vzdelani budoucnosti Javascript!")
        } else if (now.getHours() >= 16 && now.getHours() <= 17) {
            console.log("Tesim se na krouzek Javascriptu!")
        } else {
            console.log("Ted neni cas krouzku. :(")
        }

        /* || - nebo (roura) */
        if (discount === 10 || discount === 20) {
            console.log("Vase sleva je platna!")
        }

        /*
        let scoreList = [1, 1, 1, 3, 4, 2, 5, 1]
        let average = scoreList.reduce((acc, score) => {
            return 
        }, 1)
        
        vice o reduce: https://www.w3schools.com/jsref/jsref_reduce.asp

        if (average <= 2) {
            console.log("Pekny prumer")
        }
        */








    </script>
</head>
<body>
    

</body>
</html>